var arrayObj = new Array(); //初始索赔性质数组
var resConfigListtemp;



$(function(){
	resConfigQuery("1");
	
});
function sp(spid){
	
	if(isCon(arrayObj,spid)){//删除属性
		$.each(resConfigListtemp, function(i, n){
			if(spid==resConfigListtemp[i].accType){
				$("#"+resConfigListtemp[i].resourceCode+"").remove();
			}
			
		 });
	}else{//添加属性
		$.each(resConfigListtemp, function(i, n){
			if(spid==resConfigListtemp[i].accType){
				$("#resConfig").append("<tr id='"+resConfigListtemp[i].resourceCode+"' name="+resConfigListtemp[i].resourceName+">"+
		     			"<td>"+resConfigListtemp[i].resourceName+"</td>"+
		     			"<td><span name='yj' id='yj"+resConfigListtemp[i].resourceCode+"' class='check_no' onclick='checksp(this.id)'></span></td>"+
		     			"<td><span name='fyj'  id='fyj"+resConfigListtemp[i].resourceCode+"' class='check_no' onclick='checksp(this.id)'></span></td>"+
		     			"</tr>");
			}
			
		 });
		arrayObj.push(spid);
	}
	//alert("长度为："+arrayObj.length);
	
}
/** 时间组件初始化 */
function dateCompInit(){
//	var date = new Date();
//	date.setDate(date.getDate()-1);
	$('#accidentDate').datepicker({
	 	yearRange:"-10:+10",
		duration:'fast',
		constrainInput:true,
		changeMonth:true,
		dateFormat:'yy-mm-dd',
		showButtonPanel:true,
		changeYear:true,
		maxDate:null,
		showAnim: ''
	    //onSelect:function(dateText,inst){}
	});	
	$('#firstDiagnoseDate').datepicker({
	 	yearRange:"-10:+10",
		duration:'fast',
		constrainInput:true,
		changeMonth:true,
		dateFormat:'yy-mm-dd',
		showButtonPanel:true,
		changeYear:true,
		maxDate:null,
		showAnim: ''
	    //onSelect:function(dateText,inst){}
	});	
}
//身故
function shenggu(a){
	if($('#shenggu').attr('class')=="re_icon1"){
		$('#shenggu').attr('class','re_icon1 re_icon1_cur');
		saveClaimAcc('add','01');
	}else{
		$('#shenggu').attr('class','re_icon1');
		saveClaimAcc('del','01');
	}
}
//伤残
function shangchang(a){
	if($('#shangchang').attr('class')=="re_icon2"){
		$('#shangchang').attr('class','re_icon2 re_icon2_cur');
		saveClaimAcc('add','02');
	}else{
		$('#shangchang').attr('class','re_icon2');
		saveClaimAcc('del','02');
	}
}
//重大疾病
function zhongda(a){
	if($('#zhongda').attr('class')=="re_icon3"){
		$('#zhongda').attr('class','re_icon3 re_icon3_cur');
		saveClaimAcc('add','03');
	}else{
		saveClaimAcc('del','03');
		$('#zhongda').attr('class','re_icon3');
	}
}
//门争论医疗
function menzhen(a){
	if($('#menzhen').attr('class')=="re_icon4"){
		$('#menzhen').attr('class','re_icon4 re_icon4_cur');
		saveClaimAcc('add','04');
	}else{
		$('#menzhen').attr('class','re_icon4');
		saveClaimAcc('del','04');
	}
	
}
//住院医疗
function zhuyuanyiliao(a){
	if($('#zhuyuanyiliao').attr('class')=="re_icon5"){
		$('#zhuyuanyiliao').attr('class','re_icon5 re_icon5_cur');
		saveClaimAcc('add','05');
	}else{
		$('#zhuyuanyiliao').attr('class','re_icon5');
		saveClaimAcc('del','05');
	}
}
//住院补贴
function zhuyuanbutie(a){
	if($('#zhuyuanbutie').attr('class')=="re_icon6"){
		$('#zhuyuanbutie').attr('class','re_icon6 re_icon6_cur');
		saveClaimAcc('add','06');
	}else{
		$('#zhuyuanbutie').attr('class','re_icon6');
		saveClaimAcc('del','06');
	}
}
function nvxingshengyu(a){
	if($('#nvxingshengyu').attr('class')=="re_icon7"){
		$('#nvxingshengyu').attr('class','re_icon7 re_icon7_cur');
		saveClaimAcc('add','07');
	}else{
		$('#nvxingshengyu').attr('class','re_icon7');
		saveClaimAcc('del','07');
	}
}
function dentisty(a){
	if($('#dentisty').attr('class')=="re_icon8"){
		$('#dentisty').attr('class','re_icon8 re_icon8_cur');
		saveClaimAcc('add','08');
	}else{
		$('#dentisty').attr('class','re_icon8');
		saveClaimAcc('del','08');
	}
}
function onculist(a){
	if($('#onculist').attr('class')=="re_icon9"){
		$('#onculist').attr('class','re_icon9 re_icon9_cur');
		$("#clmIllred").html("");
		$("#visitDatered").html("");
		saveClaimAcc('add','09');
		blg=false;
	}else{
		$('#onculist').attr('class','re_icon9');
		saveClaimAcc('del','09');
		$("#clmIllred").html("*");
		$("#visitDatered").html("*");
		blg=true;
	}
}
function menzhendabing(a){
	if($('#menzhendabing').attr('class')=="re_icon11"){
		$('#menzhendabing').attr('class','re_icon11 re_icon11_cur');
		saveClaimAcc('add','10');
	}else{
		$('#menzhendabing').attr('class','re_icon11');
		saveClaimAcc('del','10');
	}
}
function jinjiyake(a){
	if($('#jinjiyake').attr('class')=="re_icon10"){
		$('#jinjiyake').attr('class','re_icon10 re_icon10_cur');
		saveClaimAcc('add','11');
	}else{
		$('#jinjiyake').attr('class','re_icon10');
		saveClaimAcc('del','11');
	}
}
function buymedicine(a){
	if($('#buymedicine').attr('class')=="re_icon12"){
		$('#buymedicine').attr('class','re_icon12 re_icon12_cur');
		saveClaimAcc('add','12');
	}else{
		$('#buymedicine').attr('class','re_icon12');
		saveClaimAcc('del','12');
	}
}
function medical(a){
	if($('#medical').attr('class')=="re_icon13"){
		$('#medical').attr('class','re_icon13 re_icon13_cur');
		saveClaimAcc('add','13');
	}else{
		$('#medical').attr('class','re_icon13');
		saveClaimAcc('del','13');
	}
}
function girlDisease(a){
	if($('#girlDisease').attr('class')=="re_icon14"){
		$('#girlDisease').attr('class','re_icon14 re_icon14_cur');
		saveClaimAcc('add','14');
	}else{
		$('#girlDisease').attr('class','re_icon14');
		saveClaimAcc('del','14');
	}
}
function aids(a){
	if($('#aids').attr('class')=="re_icon15"){
		$('#aids').attr('class','re_icon15 re_icon15_cur');
		saveClaimAcc('add','15');
	}else{
		$('#aids').attr('class','re_icon15');
		saveClaimAcc('del','15');
	}
}

function emergencymedical(a){
	if($('#emergencymedical').attr('class')=="re_icon16"){
		$('#emergencymedical').attr('class','re_icon16 re_icon16_cur');
		saveClaimAcc('add','16');
	}else{
		$('#emergencymedical').attr('class','re_icon16');
		saveClaimAcc('del','16');
	}
}

function medicalvaccine(a){
	if($('#medicalvaccine').attr('class')=="re_icon17"){
		$('#medicalvaccine').attr('class','re_icon17 re_icon17_cur');
		saveClaimAcc('add','17');
	}else{
		$('#medicalvaccine').attr('class','re_icon17');
		saveClaimAcc('del','17');
	}
}

function congenitaldisease(a){
	if($('#congenitaldisease').attr('class')=="re_icon18"){
		$('#congenitaldisease').attr('class','re_icon18 re_icon18_cur');
		saveClaimAcc('add','18');
	}else{
		$('#congenitaldisease').attr('class','re_icon18');
		saveClaimAcc('del','18');
	}
}
//心血管
function xinxueguan(a){
	if($('#xinxueguan').attr('class')=="re_icon19"){
		$('#xinxueguan').attr('class','re_icon19 re_icon19_cur');
		saveClaimAcc('add','19');
	}else{
		$('#xinxueguan').attr('class','re_icon19');
		saveClaimAcc('del','19');
	}
}
function guzhe(a){
    if($( '#guzhe').attr( 'class')== "re_icon20"){
         $( '#guzhe').attr( 'class', 're_icon20 re_icon20_cur');
         saveClaimAcc( 'add', '20');
    }else{
         $( '#guzhe').attr( 'class', 're_icon20');
         saveClaimAcc( 'del', '20');
    }
}

function resConfigQuery(a){
	//alert($("#resConfig").text());
	$.ajax({  
        type: "POST",  
        url: "queryResourceConfig.do",  
        data: {"acctype":"01"},  
        success: function(data){  
            var items = data.resConfigList;
            resConfigListtemp = items;
            $.each(items, function(i, n){

             /*	$("#resConfig").append("<tr id='"+items[i].resourceCode+"'>"+
             			"<td>"+items[i].resourceName+"</td>"+
             			"<td><span id='span"+items[i].resourceCode+"' class='check_no' onclick='checksp(this.id)'></span></td>"+
             			"<td><span id='sp"+items[i].resourceCode+"' class='check_no' onclick='checksp(this.id)'></span></td>"+
             			"</tr>");
*/
            });  
        }  
    });
}
function checksp(id){
	//alert(id);
//	if($("#"+id).attr("class") == "check_no"){
//		$("#"+id).removeClass("check_no");
//		$("#"+id).addClass("check_yes"); 
//	}else{
//		$("#"+id).attr("class","check_no");
//	};
	if($("#"+id).is(".check_no")){
		$("#"+id).attr("class","check_yes");
	}else{
		$("#"+id).attr("class","check_no");
	}
	/* $(".check_sp").click(function(){ 
		  if($(this).is(".check_yes")){
		    
			$(this).removeClass("check_yes");
			$(this).addClass("check_no"); 
		  
		  }
		  
		  else{
				$(this).removeClass("check_no");
		        $(this).addClass("check_yes");
				 
		}
	      
		  
	 }) */
}
function displaypaycom(){
	
	$("#paycom").css("display","block");
	$("#disnomalId").val("");
	$("#companyName").val("");
	$("#claimAmt").val("");
	
}
//第三方投保情况显示新增输入框
function displaypayTb(){
	$("#payTb").css("display","block");
	$("#formpayTbId").val("");
	$("#insuranceComName").val("");
	$("#policyName").val("");
	$("#policyNo").val("");
}
//第三方投保保存
function formpayTbSave(){
	var formpayTbId = $("#formpayTbId").val();
	var insuranceComName =$("#insuranceComName").val();
	var policyName = $("#policyName").val();
	var policyNo = $("#policy_No").val();
	if($.trim(insuranceComName)==""){
		alert("请填写保险公司名称。");
		return;
	}
	if($.trim(policyName)==""){
		alert("请填写保单名称。");
		return;
	}
	if($.trim(policyNo)==""){
		alert("请填写保单号。");
		return;
	}
	$.ajax({
        cache: true,
        type: "POST",
        url:"addClmInsuranceCom.do",
        data:$('#formpayTbSave').serialize(),// 你的formid
        async: false,
        error: function(request) {
            alert("保存失败！");
        },
        success: function(data) {
        	if(formpayTbId!=undefined&&formpayTbId!=""){
        		var tr = $("#payTbbody1").find("tr[id='"+formpayTbId+"']");
        		tr.find("SPAN[id='insComName']").html(insuranceComName);
        		tr.find("SPAN[id='insPolicyName']").html(policyName);
        		tr.find("SPAN[id='insPolicyNo']").html(policyNo);
        		
        		
        	}else{
        		$("#payTbbody1").append("<tr id="+data.id+">" +
            			"<td id=\"insComNumber\">　　"+(parseInt($("#payTbbody1").find("tr").length)+1)+"</td>" +
            			"<td>　　保险公司名称：<span id=\"insComName\">"+data.insuranceComName+"</span></td> " +
            			"<td>　　保单名称：<span id=\"insPolicyName\">"+data.policyName+"</span> </td> " +
            			"<td>　　保单号：<span id=\"insPolicyNo\"> "+data.policyNo+"</span></td> " +
            			"<td>" +
            			"<a style=\"cursor: pointer;\" class=\"txt_blue\" onclick=\"editFormpayTbSave('"+data.id+"')\">　　　  编辑</a>　" +
            			"<a style=\"cursor: pointer;\" class=\"txt_blue\" onclick=\"formIdTbdel('"+data.id+"')\">  删除</a>" +
            			"</td></tr>");
        	}
        	
        	
        	alert("保存成功！");
        	$("#payTb").css("display","none");
        	$("#formpayTbId").val("");
        	$("#insuranceComName").val("");
        	$("#policyName").val("");
        	$("#policyNo").val("");
            //$("#commonLayout_appcreshi").parent().html(data);
        }
    });
}
function formIdTbdel(id){
	if(confirm("确认删除此信息？")){
		$.ajax({
	        cache: true,
	        type: "POST",
	        url:"delClmInsuranceCom.do",
	        data:{"id":id},
	       // data:{"id":id,"claimNo":claimNo},// 你的formid
	        async: false,
	        error: function(request) {
	            alert("删除失败！");
	        },
	        success: function(data) {
	        	alert("删除成功！");
	            //$("#commonLayout_appcreshi").parent().html(data);
	        	$("#payTbbody1 tr[id='"+id+"']").remove(); 
	        	for ( var i = 0; i < $("#payTbbody1 tr").length; i++) {
	        		var tr = $("#payTbbody1 tr").eq(i);
	        		var disnormalNum = tr.find("td[id='insComNumber']");
	        		var num = i+1;
	        		disnormalNum.html("　　"+num);
	        		
				}
	        }
	    });
	}
	
}

/**第三方赔付情况保存*/
function formIdpaySave(){
	var disnomalId = $("#disnomalId").val();
	var companyName =$("#companyName").val();
	var claimAmt = $("#claimAmt").val();
	if($.trim(companyName)==""){
		alert("请填写索赔保险公司名称。");
		return;
	}
	if($.trim(claimAmt)==""){
		alert("请填写赔付金额。");
		return;
	}
	$.ajax({
        cache: true,
        type: "POST",
        url:"addClmDisnormalRecord.do",
        data:$('#formIdpay').serialize(),// 你的formid
        async: false,
        error: function(request) {
            alert("保存失败！");
        },
        success: function(data) {
        	if(disnomalId!=undefined&&disnomalId!=""){
        		var tr = $("#paybody").find("tr[id='"+disnomalId+"']");
        		tr.find("td[id='comDisnormalName']").html(companyName);
        		tr.find("td[id='comDisnormalAmont']").html(claimAmt);
        		
        		
        	}else{
        		$("#paybody").append("<tr id=\""+data.id+"\">" +
            			"<td id=\"comDisnormalNum\">　　"+(parseInt($("#paybody").find("tr").length)+1)+"</td>" +
        					"<td>　索赔保险公司或单位：</td><td id=\"comDisnormalName\">"+data.companyName+"</td>" +
        					"<td>　　赔付金额： </td><td id=\"comDisnormalAmont\">"+data.claimAmt+"</td>" +
        					"<td><a style=\"cursor: pointer;\"  class=\"txt_blue\" onclick=\"editFormIdpaydel('"+data.id+"')\">　　　编辑</a>　<a style=\"cursor: pointer;\"  class=\"txt_blue\" onclick=\"formIdpaydel('"+data.id+"')\">删除</a></td>" +
    						"</tr>");
        	}
        	
        	alert("保存成功！");
        	$("#paycom").css("display","none");
        	$("#disnomalId").val("");
    		$("#companyName").val("");
    		$("#claimAmt").val("");
            //$("#commonLayout_appcreshi").parent().html(data);
        }
    });
}
	function editFormpayTbSave(id){
		$("#payTb").css("display","block");
		var tr = $("#payTbbody1").find("tr[id='"+id+"']");  
		var insComName = tr.find("SPAN[id='insComName']").html();
		var insPolicyName = tr.find("SPAN[id='insPolicyName']").html();
		var insPolicyNo = tr.find("SPAN[id='insPolicyNo']").html(); 
		$("#insuranceComName").val(insComName);
		$("#policyName").val(insPolicyName);
		$("#policyNo").val(insPolicyNo);
		$("#formpayTbId").val(id);
		
	}
	function editFormIdpaydel(id){
		$("#paycom").css("display","block");
		var tr = $("#paybody").find("tr[id='"+id+"']"); 
		var comDisnormalName = tr.find("td[id='comDisnormalName']").html();
		var comDisnormalAmont = tr.find("td[id='comDisnormalAmont']").html();
		$("#companyName").val(comDisnormalName);
		$("#claimAmt").val(comDisnormalAmont);
		$("#disnomalId").val(id);
		
	}

	function formIdpaydel(id){
		if(confirm("确认删除此信息？")){
			$.ajax({
		        cache: true,
		        type: "POST",
		        url:"delClmDisnormalRecord.do",
		        data:{"id":id},
		       // data:{"id":id,"claimNo":claimNo},// 你的formid
		        async: false,
		        error: function(request) {
		            alert("删除失败！");
		        },
		        success: function(data) {
		        	alert("删除成功！");
		        	//$("#paybody").remove(aa.firstChild);
		        	$("#paybody tr[id='"+id+"']").remove();
		        	for ( var i = 0; i < $("#paybody tr").length; i++) {
		        		var tr = $("#paybody tr").eq(i);
		        		var disnormalNum = tr.find("td[id='comDisnormalNum']");
		        		var num = i+1;
		        		disnormalNum.html("　　"+num);
		        		
					}
		        	
		        }
		    });
		}
		
	}
	//document.getElementById('formIdpay').submit();
	//出险信息保存
	function saveAccidentInfo(){
		//alert("出险日期不能为空！");
//		if($("#accidentDate").val()==null || $("#accidentDate").val()==""){
//			alert("出险日期不能为空！");
//			return false;
//		}
//		if($("#firstDiagnoseDate").val()==null || $("#firstDiagnoseDate").val()==""){
//			alert("就诊日期不能为空！");
//			return false;
//		}
		//先把索赔资料数据解析
		var jbSpArr = new Array(); //初始索赔性质数组
		var tr= $("#resConfig").find("tr");
		$("#resConfig").find("tr").each(function() {
			var jbSpArrtemp = new Array(); //初始索赔性质数组
			var obj = $(this);
			jbSpArrtemp.push(obj.attr("id"));
			jbSpArrtemp.push(obj.attr("name"));
			obj.find("td span").each(function(){
				//alert($(this).attr("name")+":"+$(this).is(".check_yes"));
				jbSpArrtemp.push($(this).attr("name"));
				/*if($(this).attr("name")=='fyj'){
					if($(this).is(".check_yes"))
				}else{
					$(this).attr("name")=='fyj'
				}
				if ()*/
			});
			$("#divsqqdlist").append("<input id=\"spqdlist\" name=\"spqdlist\" type=\"hidden\" value="+jbSpArrtemp+"></input>");
		});
		
		$("#accidentaddrtype").val($("#divaccidentaddrtype_code").val());
		$.ajax({
	        cache: true,
	        type: "POST",
	        url:"saveAccidentInfo.do",
	        data:$('#formAccidentInfo').serialize(),// 你的formid
	        async: false,
	        error: function(request) {
	            alert("保存失败！");
	        },
	        success: function(data) {
	        	alert("保存成功！");
	            //$("#commonLayout_appcreshi").parent().html(data);
	        }
	    });
	}
	//被保险人
	function clmInsureQuery(){
		//alert("被保险人！");
		SkipByPost("clmInsureQuery.do",{claimNo:$("#claimNo").val()});
	}
	//跳转赔案相关人员信息
	function queryPayInfo(){
		//alert("跳转赔案相关人员信息！");
		 SkipByPost("queryPayInfo.do",{claimNo:$("#claimNo").val()});
	}
	
	function ru(code){
		



		if (jibin[0] == undefined) {
			jibin[0] = code;
		} else {
			for ( var i = 0; i <= jibin.length; i++) {
				if (jibin[i] == code) {
					jibin.remove(i);
					return;
				}
			}
			for ( var i = jibin.length; i <= jibin.length; i++) {
				jibin[i] = code;
				alert(jibin[i]);
				i++;
			}
			//	if(jibin[i].indexOf(code)>0){
			//		
			//	}else{
			//		
			//	}

		}

	}
	
	 
	/**疾病诊断保存*/
	function saveDiv(id) {
		var jibing = 0;
		var jbname="";
//		$("#jbresultData").html("");
//		$("#claimIllsBy_").val("");
		$("#jbzd").find("span").each(function() {
			if ($(this).is(".check_yes")){
				if(jibing==0){
					jbname = $(this).attr("code")+$(this).attr("name");
					if($("#claimIllsBy_").val()==""){
						$("#claimIllsBy_").val($(this).attr("code"));
						$("#jbresultData").append("<tr>" +
								"<td width=\"23%\">"+$(this).attr("code")+"</td>" +
								"<td width=\"45%\">"+$(this).attr("name")+"</td>" +
								"<td width=\"21%\"><a  style=\"cursor: pointer;\" class=\"icon_del\" onclick=\"deljbresultData(this,'"+$(this).attr("code")+"')\"></a></td>" +
								"</tr>");
					}else{
						if($("#claimIllsBy_").val().indexOf($(this).attr("code"))<0){
							$("#claimIllsBy_").val($("#claimIllsBy_").val()+'_'+$(this).attr("code"));
							$("#jbresultData").append("<tr>" +
									"<td width=\"23%\">"+$(this).attr("code")+"</td>" +
									"<td width=\"45%\">"+$(this).attr("name")+"</td>" +
									"<td width=\"21%\"><a  style=\"cursor: pointer;\" class=\"icon_del\" onclick=\"deljbresultData(this,'"+$(this).attr("code")+"')\"></a></td>" +
									"</tr>");
						}
					}
				}else{
					if($("#claimIllsBy_").val().indexOf($(this).attr("code"))<0){
						$("#claimIllsBy_").val($("#claimIllsBy_").val()+'_'+$(this).attr("code"));
						$("#jbresultData").append("<tr>" +
								"<td width=\"23%\">"+$(this).attr("code")+"</td>" +
								"<td width=\"45%\">"+$(this).attr("name")+"</td>" +
								"<td width=\"21%\"><a  style=\"cursor: pointer;\" class=\"icon_del\" onclick=\"deljbresultData(this,'"+$(this).attr("code")+"')\"></a></td>" +
								"</tr>");
					}
				}
				jibing = jibing+1;
				
			}
		});

		$("#clmIll").val(jbname);
		if(jibing>1)
			$("#clmIll").val(jbname+"....");
		$.closePopupLayer(id);
	}
	/**疾病列表查询删除当前*/
	function deljbresultData(data,illCode){
		if(confirm("确认删除当前行？")){
			var trcurrent = $(data).parent().parent();
			trcurrent.remove();
			delClaimIll(illCode); 
		}
	}
	
	
	function delClaimIll(value){
		var claimIllsBy_ = $("#claimIllsBy_").val();
		var illTypes = claimIllsBy_.split("_");
		var i = 0 ;
		//判断是否已经保存了这个 索赔事故性质
		var flag = 0;
		for(; illTypes != '' && i < illTypes.length ; i++ ){
			if(illTypes[i]==value){
				illTypes[i] = '00';
				flag = 1;
				break;
			}
		}
		if(flag==1){
			var illTypesNew = '';
			i = 0;
			var position = 0;
			for(; illTypes != '' && i < illTypes.length ; i++ ){
				if(illTypes[i]!='00'){
					if(position==0){
						illTypesNew = illTypes[i];
					}else{
						illTypesNew = illTypesNew + '_' + illTypes[i];
					}
					position++; 
				}
			}
			$("#claimIllsBy_").val(illTypesNew);
			var tr = $("#illTblList").find("tr");
			var bodytr = $("#jbresultData").find("tr");
			if(tr.length+bodytr.length>2){
				if(tr.length>1){
					var code = $(tr[1]).find("td:eq(0)");
					var name = $(tr[1]).find("td:eq(1)");
					$("#clmIll").val(code.text()+" "+name.text()+"....");
				}else{
					var code = $(bodytr[0]).find("td:eq(0)");
					var name = $(bodytr[0]).find("td:eq(1)");
					$("#clmIll").val(code.text()+" "+name.text()+"....");
				}
			}else if(tr.length+bodytr.length>1){
				if(tr.length>1){
					var code = $(tr[1]).find("td:eq(0)");
					var name = $(tr[1]).find("td:eq(1)");
					$("#clmIll").val(code.text()+" "+name.text());
				}else{
					var code = $(bodytr[0]).find("td:eq(0)");
					var name = $(bodytr[0]).find("td:eq(1)");
					$("#clmIll").val(code.text()+" "+name.text());
				}
			}else{
				$("#clmIll").val("");
			}
		} 
	
}
	/**数据判断是否存在值如果存在则删除掉
	 * @param arr
	 * @param val
	 * @returns {Boolean}
	 */
	function isCon(arr, val){
		for(var i=0; i<arr.length; i++){
			if(arr[i] == val){
				arr.splice(i,1); 
				return true;
			}
				
		}
		return false;
	}
	/**疾病诊断查询**/
	function jbcheckQuery(){
		if($("#jbcontent").val()==""){
			alert("请输入疾病信息");
			return;
		}
		$("#jbzd").html("");
	    $.ajax({  
	        type: "POST",  
	        url: "jbcheckQuery.do",  
	        data:{content:$("#jbcontent").val()},// 你的formid
	       // data:{content:$("#jbcontent").val(),classType:$("#accidentCode").val()},
	        success: function(data){  
	            var items = data.diagnosisItemList;  
	            //$("#insureData").empty();
	            
	            $.each(items, function(i, n){
	             	$("#jbzd").append("<tr>" +
	             			"<th width=\"28%\"><span id='"+items[i].objId+"' code='"+items[i].illcode+"' name='"+items[i].illname+"' class='check_no' onclick='checksp(this.id)'></span></th>" +
	             			"<td width=\"12%\">"+items[i].illcode+"</td>" +
	             			"<td width=\"60%\" >"+items[i].illname+" </td>" +
	             			"</tr>");
	            });  
	        }  
	    });   
	} 
/**出险类型选择 疾病02  意外01*/	
function cxlxCheckBox(dataId){
	//alert($("#"+dataId).is(".check_yes"));
	if($("#"+dataId).is(".check_yes")){
		$("#accidentCode").val("");
	}else{
		if(dataId=="cxlxYw"){
			$("#cxlxJB").removeClass().addClass("check_no");
			$("#cxlxQT").removeClass().addClass("check_no");
			$("#accidentCode").val("1");
		}
		if(dataId=="cxlxJB"){
			$("#cxlxYw").removeClass().addClass("check_no");
			$("#cxlxQT").removeClass().addClass("check_no");
			$("#accidentCode").val("2");
		}
		if(dataId=="cxlxQT"){
			$("#cxlxYw").removeClass().addClass("check_no");
			$("#cxlxJB").removeClass().addClass("check_no");
			$("#accidentCode").val("3");
		}
	}
	//alert();
}	
function showJbDiv(){
	if($("#accidentCode").val()==null || $("#accidentCode").val()==""){
		alert("请选择出险类型！");
		return false;
	}
	$("#jbzd").html("");
	$("#jbcontent").val("");
	showDiv('open1');
}

function initinfo(){
	//第三方投保情况查询
	$.ajax({
        cache: true,
        type: "POST",
        url:"queryClmInsuranceCom.do",
        data:{claimNo:$('#claimNo').val()},// 你的formid
        async: false,
        error: function(request) {
            alert("操作失败！");
        },
        success: function(data) {
        	var items = data.clmInsuranceComlist;  
            //$("#insureData").empty();
        	$.each(items, function(i, n){
        		
            	$("#payTbbody").append("<tr id="+items[i].id+">"+
                        "<td width=\"50\">　</td>"+
                        "<td  id=\"insComNumber\"></td>"+
                        "<td>　索赔保险公司或单位："+items[i].insuranceComName+"</td>"+
                        "<td>　　保单名称："+items[i].policyName+"</td>"+
                        "<td>　　保单号："+items[i].policyNo+" </td>"+
                        "<td>　　　<a href=\"#\" class=\"txt_blue\" onclick=\"formIdTbdel('"+items[i].id+"')\">删除</a></td>"+
                      	"</tr>");
            });
            
        }
    });
	//第三方赔付情况
		$.ajax({
        cache: true,
        type: "POST",
        url:"queryClmInsuranceCom.do",
        data:{claimNo:$('#claimNo').val()},// 你的formid
        async: false,
        error: function(request) {
            alert("操作失败！");
        },
        success: function(data) {
        	var items = data.clmDisnormalRecordList;  
            //$("#insureData").empty();
        	$.each(items, function(i, n){
        		$("#paybody").append("<tr id=\""+items[i].id+"\"><td></td><td><span class=\"check_no\"></span></td><td>　索赔保险公司或单位："+items[i].companyName+"</td><td>　　赔付金额："+items[i].claimAmt+" </td><td>　　　<a href=\"#\" class=\"txt_blue\" onclick=\"formIdpaydel('"+items[i].id+"')\">删除</a></td></tr>");
            });
            
        }
    });
}









